#ifndef XCOLUMNINFO_H
#define XCOLUMNINFO_H

#include "xasset.h"

class XColumnInfo : public XAsset
{
public:
    explicit XColumnInfo();
    ~XColumnInfo() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    int mPos;
    int mWidth;
    int mMaxChars;
    int mAlignment;
};

#endif // XCOLUMNINFO_H








